{{
*****************************************
* Simple Servo Controller v1.0          *
* Author: seadog13 & Beau Schwabe       *
* See end of file for terms of use.     *
*****************************************

This is a simple servo controller that uses the Servo32v3 object to simply move a servo back and forth.

Use two separate power supplies: one for the PropStick and one for the servo.  Make sure to share/connect the ground
connections between the two power supplies.

Connect the servo signal wire (white or orange) to the RUDDER pin defined below.

}}


CON
  _CLKMODE = XTAL1 + PLL16X
  _XINFREQ = 5_000_000

  RUDDER = 0 'Servo Rudder pin - PX

OBJ

  SERVO  : "Servo32v3"

PUB MAIN

  'using Servo32v3
  SERVO.Set(rudder,1500)
   
  SERVO.Start 'Start Servo handler
   
  repeat 
    SERVO.Set(rudder,1250)
    waitcnt(clkfreq*4 + cnt)
    SERVO.Set(rudder,1750)
    waitcnt(clkfreq*4 + cnt)
